###################################################
### chunk number 1: 
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
library(blm)
library(MASS)

data(Pima.te)

head(Pima.te)


###################################################
### chunk number 2: 
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
Pima.te$diabetes <- ifelse(Pima.te$type=="Yes",1,0)

fit <- blm(diabetes~scale(age)+scale(bmi),Pima.te)

fit


###################################################
### chunk number 3: 
###################################################
#line 130 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
summary(fit)


###################################################
### chunk number 4: 
###################################################
#line 152 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
fit@active.constraints$active%*%coef(fit)


###################################################
### chunk number 5: 
###################################################
#line 165 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
LR <- summary(fit)$null.deviance-2*summary(fit)$loglik
df <- length(coef(fit))
1-pchisq(LR,df=df)


###################################################
### chunk number 6: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
gof(fit)


###################################################
### chunk number 7:  eval=FALSE
###################################################
## #line 185 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
## library(lattice)
## 
## y <- tapply(Pima.te$diabetes,
##             list(cut(Pima.te$bmi,c(18,25,30,35,40,50)),
##             cut(Pima.te$age,c(20,30,40,50,70))),mean)
## 
## pre <- tapply(predict(fit),
##               list(cut(Pima.te$bmi,c(18,25,30,35,40,50)),
##                 cut(Pima.te$age,c(20,30,40,50,70))),mean)
## 
## plot.data <- data.frame(
##                         obs=as.vector(y),
##                         pre=as.vector(pre),
##                         age=rep(colnames(y),each=5),
##                         bmi=rep(row.names(y),4)
##                         )
## 
## xyplot(obs+pre~bmi|age,data=plot.data,auto.key=TRUE,type="b")


###################################################
### chunk number 8: 
###################################################
#line 218 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
fit.categorical <- blm(diabetes~I(age>50)+I(bmi>30),Pima.te)
fit.categorical
dispersion(fit.categorical)


###################################################
### chunk number 9: 
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
fit.barrier <- blm(diabetes~scale(age)+scale(bmi),
                   Pima.te,augmented=FALSE)
fit.barrier


###################################################
### chunk number 10: 
###################################################
#line 244 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
sqrt(diag(vcov(fit)))/sqrt(diag(vcov(fit.barrier)))


###################################################
### chunk number 11: 
###################################################
#line 263 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
fit <- blm(diabetes~scale(age)+scale(bmi)+I(glu>100),Pima.te)
fit
summary(fit)


###################################################
### chunk number 12: 
###################################################
#line 299 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
fit.lexpit <- lexpit(f.linear=diabetes ~ scale(age),f.expit=diabetes~scale(bmi)+I(glu>100),Pima.te)
fit.lexpit
summary(fit.lexpit)


###################################################
### chunk number 13: 
###################################################
#line 310 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
LR <- summary(fit.lexpit)$null.deviance-2*summary(fit.lexpit)$loglik
df <- length(coef(fit.lexpit))
1-pchisq(LR,df=df)

gof(fit.lexpit)


###################################################
### chunk number 14: 
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
ci(fit.lexpit,C=2,baseline=FALSE)


###################################################
### chunk number 15: 
###################################################
#line 333 "d:/Rcompile/CRANpkg/local/2.12/blm/inst/doc/blm.Rnw"
diabetic.risk <- ci(fit.lexpit,C=0,C.expit=c(1,0,1))
diabetic.risk


